#ifndef __OSDFRAME_H__
#define __OSDFRAME_H__

#include <qwidget.h>
#include <qevent.h>
#include <qlabel.h>
#include <qfont.h>
#include <qcolor.h>
#include <qtimer.h>
#include <qframe.h>

#include <krootpixmap.h>

class OSDFrame : public QFrame {

Q_OBJECT

 public:

  enum { FADE_IN, FADE_WAIT, FADE_OUT, FADE_STOP, OSD_TEST };

  OSDFrame(int size, QColor f, QColor b, float t,
	   int eff = FADE_IN, QWidget *parent = 0);
  ~OSDFrame();

  void paintEvent(QPaintEvent *e);
  
  void start(QString t);
  void setFontSize(int size);

  void setFGColor(QColor f) {
    fgColor = f;
  }

  void setBGColor(QColor b, float t) {
    frameRoot->setFadeEffect(t, b);
  }


 private slots:

  void paint();

 private:
  KRootPixmap *frameRoot;

  QString title;
  int height;
  int width;

  float i;
  int wait;


  QTimer *paintTimer;
  QFont titleFont;
  int effect;

  QColor fgColor;
  QColor bgColor;
};

#endif
